import _extends from "@babel/runtime/helpers/esm/extends";
import _objectWithoutPropertiesLoose from "@babel/runtime/helpers/esm/objectWithoutPropertiesLoose";
var _excluded = ["href", "size", "ratio", "shape", "target", "captionText", "linkFactory"];
import cx from 'classnames';
import PropTypes from 'prop-types';
import ImageCaption from './ImageCaption.js';
import { BASE_CLASS, LINK_CLASS, THUMBNAIL_RATIOS, THUMBNAIL_SHAPES, THUMBNAIL_SIZES } from './settings.js';
import ThumbnailLink from './ThumbnailLink.js';
import { jsx as _jsx } from "react/jsx-runtime";
var MoleculeThumbnail = function MoleculeThumbnail(_ref) {
  var href = _ref.href,
    _ref$size = _ref.size,
    size = _ref$size === void 0 ? THUMBNAIL_SIZES.MEDIUM : _ref$size,
    _ref$ratio = _ref.ratio,
    ratio = _ref$ratio === void 0 ? THUMBNAIL_RATIOS['1:1'] : _ref$ratio,
    _ref$shape = _ref.shape,
    shape = _ref$shape === void 0 ? THUMBNAIL_SHAPES.SQUARED : _ref$shape,
    _ref$target = _ref.target,
    target = _ref$target === void 0 ? '_blank' : _ref$target,
    captionText = _ref.captionText,
    _ref$linkFactory = _ref.linkFactory,
    Link = _ref$linkFactory === void 0 ? ThumbnailLink : _ref$linkFactory,
    props = _objectWithoutPropertiesLoose(_ref, _excluded);
  return /*#__PURE__*/_jsx("figure", {
    className: cx("" + BASE_CLASS, BASE_CLASS + "--" + size, BASE_CLASS + "--" + shape),
    children: href ? /*#__PURE__*/_jsx(Link, {
      className: LINK_CLASS,
      href: href,
      target: target,
      rel: target === '_blank' ? 'noopener' : undefined,
      children: /*#__PURE__*/_jsx(ImageCaption, _extends({}, props, {
        ratio: ratio
      }))
    }) : /*#__PURE__*/_jsx(ImageCaption, _extends({}, props, {
      ratio: ratio
    }))
  });
};
MoleculeThumbnail.displayName = 'MoleculeThumbnail';
export default MoleculeThumbnail;
export { THUMBNAIL_RATIOS as moleculeThumbnailRatio, THUMBNAIL_SHAPES as moleculeThumbnailShape, THUMBNAIL_SIZES as moleculeThumbnailSize };